Subject: [bug#48028] [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and correct propagated-inputs

From: Raghav Gururajan <[email-masked]>
Date: Wed, 5 May 2021 16:55:58 -0400

Hi Mark,

>> I tried dirty hack of patching meson.build of gtkmm, to refer to latest 
> 
>> versions of cairomm, atkmm, pangomm. Though, 'configure phase passes, 
>> 'build phase fails with *numerous* errors.
>>
>> If I de-propagate those inputs, packages that depends on gtkmm via 
>> pkg-config, gonna barf "gtkmm not found".
>>
>> Do you have any ideas?
> 
> Libsigc++, glibmm, cairomm, pangomm and atkmm; play well with each 
> other's latest stable version. The gtkmm is the only outlier.
> 
> So I think we can either de-propagate inputs in gtkmm or use the patch 
> as-is; and revert changes when new gtkmm version is released.
> 
> WDYT?

I just realized packages that depend on gtkmm, doesn't propagate it. So 
only way gtkmm, ends up in user-profiles is when explicitly installed. 
Thus conflicts doesn't happen while building profiles right?

Regards,
RG.